Bug 451773 - Review Request: window-picker-applet - an alternative window chooser for small screens
Review Request: window-picker-applet - an alternative window chooser for smal...
Status: CLOSED DUPLICATE of bug 523326
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
: 498200 (view as bug list)
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-06-17 06:01 EDT by Yaakov Nemoy
Modified: 2009-09-14 17:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 17:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review?


Attachments (Terms of Use)
spec file cleanup (1.84 KB, patch)
2008-06-17 12:25 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2008-06-17 06:01:27 EDT
SPEC File: http://ynemoy.fedorapeople.org/repo/window-picker-applet.spec
SRPM File:
http://ynemoy.fedorapeople.org/repo/window-picker-applet-0.2-1.fc9.src.rpm

window-picker-applet is an applet for the Gnome Panel that provides an alternate
window chooser for small screens.  It displays a small single icon button for
each window and combines a title button for the currently active window.
Comment 1 Peter Robinson 2008-06-17 12:25:40 EDT
Created attachment 309634 [details]
spec file cleanup

Attached is an initial patch to cleanup the spec file somewhat. With this the
srpm created passes rpmlint. It probably needs some extra build reqs. You also
need to change the name/email in the Changelog entry.

I think there possibly should also be some post install gconf stuff too but
need to check that out further. Someone in the know should be able to confirm
it.
Comment 2 Jonathan Roberts 2008-09-18 12:37:38 EDT
Updated the spec file to make it comply with packaging guidelines better, as
well as renamed to remove Ubuntu from the name. 

SPEC File: http://ynemoy.fedorapeople.org/repo/window-picker-applet.spec
SRPM File:
http://ynemoy.fedorapeople.org/repo/window-picker-applet-0.2-1.fc9.src.rpm

Have spoken with Yaakov, and will likely co-maintain these packages.
Comment 3 Tim Lauridsen 2008-09-19 10:03:58 EDT
I will review this one:

Initial comments:

Requires and BuildRequires are missing

libpanelapplet-2.0
gtk+-2.0
gconf-2.0
libwnck-1.0
and maybe others

URL should point to upstream home page not to source

URL should be
Source0: http://launchpadlibrarian.net/14942872/window-picker-applet_%(version).tar.gz
Comment 4 Tim Lauridsen 2008-09-19 10:09:02 EDT
forgot the URL
https://launchpad.net/netbook-remix
is the closest to and upstream homepage.

and Source0 shall point to 
http://launchpadlibrarian.net/14942872/window-picker-applet_%(version).tar.gz
Comment 5 Jonathan Roberts 2008-09-19 11:16:18 EDT
I've spoken to upstream and new source tarballs are due out next week, so I'll hold on making these fixes and changing the source details until then. They've also committed to making more regular releases that will be better to use.
Comment 6 Tim Lauridsen 2008-09-20 11:26:29 EDT
Sounds good, maybe you should talk to upstream about making the source tarballs
more standard windows-picker-applet-%{version}.tar.gz, instead of _%{version}.
in ume-launcer it is even more needed the fix the tarball to
ume-launcher-%{version}.tar.gz.
Comment 7 Jonathan Roberts 2008-09-20 18:42:06 EDT
Have done so already :) They said that with the current speed of development, they're really pushed for time and not always able to do make dist for every release and update configure.ac. They have said though that they'll endeavour to make more releases in the future, now that they know others are using their code.
Comment 8 Christoph Wickert 2008-10-24 10:31:54 EDT
Just like in bug #451768 I suggest to rename this package to gnome-applet-window-picker (with a "Provides: window-picker-applet"). See
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28General.29
Comment 9 Bastien Nocera 2009-07-26 18:58:31 EDT
*** Bug 498200 has been marked as a duplicate of this bug. ***
Comment 10 Michel Alexandre Salim 2009-09-14 03:20:56 EDT
Yaakov, are you still interested in packaging this? I've been running my own window-picker-applet for a while, I can take over the packaging if you want. Desperately need the extra vertical pixels that w-p-a + maximus gives :)
Comment 11 Yaakov Nemoy 2009-09-14 07:50:07 EDT
Feel free to take this over, i have no interest in this package, since i don't use Gnome anymore.
Comment 12 Michel Alexandre Salim 2009-09-14 17:51:31 EDT
Thanks; I just filed the review request.

Tim, would you like to continue with the review? I addressed your concern with package naming. And the 0.5 series is much more visually attractive too.

*** This bug has been marked as a duplicate of bug 523326 ***

Note You need to log in before you can comment on or make changes to this bug.